Index: lemon/Makefile.am
===================================================================
--- lemon/Makefile.am	(revision 2229)
+++ lemon/Makefile.am	(revision 2260)
@@ -122,10 +122,10 @@
 concept_HEADERS += \
 	lemon/concept_check.h \
-	lemon/concept/bpugraph.h \
-	lemon/concept/graph.h \
-	lemon/concept/graph_components.h \
-	lemon/concept/heap.h \
-	lemon/concept/maps.h \
-	lemon/concept/matrix_maps.h \
-	lemon/concept/path.h \
-	lemon/concept/ugraph.h
+	lemon/concepts/bpugraph.h \
+	lemon/concepts/graph.h \
+	lemon/concepts/graph_components.h \
+	lemon/concepts/heap.h \
+	lemon/concepts/maps.h \
+	lemon/concepts/matrix_maps.h \
+	lemon/concepts/path.h \
+	lemon/concepts/ugraph.h
Index: lemon/bellman_ford.h
===================================================================
--- lemon/bellman_ford.h	(revision 2151)
+++ lemon/bellman_ford.h	(revision 2260)
@@ -93,5 +93,5 @@
     ///
     /// The type of the map that stores the edge lengths.
-    /// It must meet the \ref concept::ReadMap "ReadMap" concept.
+    /// It must meet the \ref concepts::ReadMap "ReadMap" concept.
     typedef _LengthMap LengthMap;
 
@@ -111,5 +111,5 @@
     /// The type of the map that stores the last
     /// edges of the shortest paths.
-    /// It must meet the \ref concept::WriteMap "WriteMap" concept.
+    /// It must meet the \ref concepts::WriteMap "WriteMap" concept.
     ///
     typedef typename Graph::template NodeMap<typename _Graph::Edge> PredMap;
@@ -126,5 +126,5 @@
     ///
     /// The type of the map that stores the dists of the nodes.
-    /// It must meet the \ref concept::WriteMap "WriteMap" concept.
+    /// It must meet the \ref concepts::WriteMap "WriteMap" concept.
     ///
     typedef typename Graph::template NodeMap<typename _LengthMap::Value> 
@@ -147,5 +147,5 @@
   /// This class provides an efficient implementation of \c Bellman-Ford 
   /// algorithm. The edge lengths are passed to the algorithm using a
-  /// \ref concept::ReadMap "ReadMap", so it is easy to change it to any 
+  /// \ref concepts::ReadMap "ReadMap", so it is easy to change it to any 
   /// kind of length.
   ///
@@ -159,5 +159,5 @@
   ///
   /// The type of the length is determined by the
-  /// \ref concept::ReadMap::Value "Value" of the length map.
+  /// \ref concepts::ReadMap::Value "Value" of the length map.
   ///
   /// \param _Graph The graph type the algorithm runs on. The default value
@@ -165,5 +165,5 @@
   /// BellmanFord, it is only passed to \ref BellmanFordDefaultTraits.
   /// \param _LengthMap This read-only EdgeMap determines the lengths of the
-  /// edges. The default map type is \ref concept::Graph::EdgeMap 
+  /// edges. The default map type is \ref concepts::Graph::EdgeMap 
   /// "Graph::EdgeMap<int>".  The value of _LengthMap is not used directly 
   /// by BellmanFord, it is only passed to \ref BellmanFordDefaultTraits.  
@@ -791,5 +791,5 @@
     ///
     /// The type of the map that stores the edge lengths.
-    /// It must meet the \ref concept::ReadMap "ReadMap" concept.
+    /// It must meet the \ref concepts::ReadMap "ReadMap" concept.
     typedef _LengthMap LengthMap;
 
@@ -809,5 +809,5 @@
     /// The type of the map that stores the last
     /// edges of the shortest paths.
-    /// It must meet the \ref concept::WriteMap "WriteMap" concept.
+    /// It must meet the \ref concepts::WriteMap "WriteMap" concept.
     typedef NullMap <typename _Graph::Node,typename _Graph::Edge> PredMap;
 
@@ -821,5 +821,5 @@
     ///
     /// The type of the map that stores the dists of the nodes.
-    /// It must meet the \ref concept::WriteMap "WriteMap" concept.
+    /// It must meet the \ref concepts::WriteMap "WriteMap" concept.
     typedef NullMap<typename Graph::Node, Value> DistMap;
     /// \brief Instantiates a DistMap.
Index: lemon/bfs.h
===================================================================
--- lemon/bfs.h	(revision 2151)
+++ lemon/bfs.h	(revision 2260)
@@ -48,5 +48,5 @@
     ///The type of the map that stores the last
     ///edges of the shortest paths.
-    ///It must meet the \ref concept::WriteMap "WriteMap" concept.
+    ///It must meet the \ref concepts::WriteMap "WriteMap" concept.
     ///
     typedef typename Graph::template NodeMap<typename GR::Edge> PredMap;
@@ -63,5 +63,5 @@
  
     ///The type of the map that indicates which nodes are processed.
-    ///It must meet the \ref concept::WriteMap "WriteMap" concept.
+    ///It must meet the \ref concepts::WriteMap "WriteMap" concept.
     ///\todo named parameter to set this type, function to read and write.
     typedef NullMap<typename Graph::Node,bool> ProcessedMap;
@@ -82,5 +82,5 @@
  
     ///The type of the map that indicates which nodes are reached.
-    ///It must meet the \ref concept::WriteMap "WriteMap" concept.
+    ///It must meet the \ref concepts::WriteMap "WriteMap" concept.
     ///\todo named parameter to set this type, function to read and write.
     typedef typename Graph::template NodeMap<bool> ReachedMap;
@@ -97,5 +97,5 @@
  
     ///The type of the map that stores the dists of the nodes.
-    ///It must meet the \ref concept::WriteMap "WriteMap" concept.
+    ///It must meet the \ref concepts::WriteMap "WriteMap" concept.
     ///
     typedef typename Graph::template NodeMap<int> DistMap;
@@ -706,5 +706,5 @@
     ///The type of the map that stores the last
     ///edges of the shortest paths.
-    ///It must meet the \ref concept::WriteMap "WriteMap" concept.
+    ///It must meet the \ref concepts::WriteMap "WriteMap" concept.
     ///
     typedef NullMap<typename Graph::Node,typename GR::Edge> PredMap;
@@ -726,5 +726,5 @@
  
     ///The type of the map that indicates which nodes are processed.
-    ///It must meet the \ref concept::WriteMap "WriteMap" concept.
+    ///It must meet the \ref concepts::WriteMap "WriteMap" concept.
     ///\todo named parameter to set this type, function to read and write.
     typedef NullMap<typename Graph::Node,bool> ProcessedMap;
@@ -745,5 +745,5 @@
  
     ///The type of the map that indicates which nodes are reached.
-    ///It must meet the \ref concept::WriteMap "WriteMap" concept.
+    ///It must meet the \ref concepts::WriteMap "WriteMap" concept.
     ///\todo named parameter to set this type, function to read and write.
     typedef typename Graph::template NodeMap<bool> ReachedMap;
@@ -760,5 +760,5 @@
  
     ///The type of the map that stores the dists of the nodes.
-    ///It must meet the \ref concept::WriteMap "WriteMap" concept.
+    ///It must meet the \ref concepts::WriteMap "WriteMap" concept.
     ///
     typedef NullMap<typename Graph::Node,int> DistMap;
Index: lemon/bits/array_map.h
===================================================================
--- lemon/bits/array_map.h	(revision 2202)
+++ lemon/bits/array_map.h	(revision 2260)
@@ -25,5 +25,5 @@
 #include <lemon/bits/alteration_notifier.h>
 #include <lemon/concept_check.h>
-#include <lemon/concept/maps.h>
+#include <lemon/concepts/maps.h>
 
 /// \ingroup graphbits
@@ -142,5 +142,5 @@
     template <typename CMap>
     ArrayMap& operator=(const CMap& cmap) {
-      checkConcept<concept::ReadMap<Key, _Value>, CMap>();
+      checkConcept<concepts::ReadMap<Key, _Value>, CMap>();
       const typename Parent::Notifier* notifier = Parent::getNotifier();
       Item it;
Index: lemon/bits/base_extender.h
===================================================================
--- lemon/bits/base_extender.h	(revision 2231)
+++ lemon/bits/base_extender.h	(revision 2260)
@@ -27,5 +27,5 @@
 
 #include <lemon/concept_check.h>
-#include <lemon/concept/maps.h>
+#include <lemon/concepts/maps.h>
 
 ///\ingroup graphbits
Index: lemon/bits/debug_map.h
===================================================================
--- lemon/bits/debug_map.h	(revision 2202)
+++ lemon/bits/debug_map.h	(revision 2260)
@@ -30,5 +30,5 @@
 
 #include <lemon/concept_check.h>
-#include <lemon/concept/maps.h>
+#include <lemon/concepts/maps.h>
 
 ///\ingroup graphbits
@@ -187,5 +187,5 @@
     template <typename CMap>
     DebugMap& operator=(const CMap& cmap) {
-      checkConcept<concept::ReadMap<Key, _Value>, CMap>();
+      checkConcept<concepts::ReadMap<Key, _Value>, CMap>();
       const typename Parent::Notifier* notifier = Parent::getNotifier();
       Item it;
Index: lemon/bits/graph_extender.h
===================================================================
--- lemon/bits/graph_extender.h	(revision 2231)
+++ lemon/bits/graph_extender.h	(revision 2260)
@@ -27,5 +27,5 @@
 
 #include <lemon/concept_check.h>
-#include <lemon/concept/maps.h>
+#include <lemon/concepts/maps.h>
 
 ///\ingroup graphbits
@@ -1129,5 +1129,5 @@
       template <typename CMap>
       NodeMap& operator=(const CMap& cmap) {
-	checkConcept<concept::ReadMap<Node, _Value>, CMap>();
+	checkConcept<concepts::ReadMap<Node, _Value>, CMap>();
         aNodeMap = cmap;
         bNodeMap = cmap;
Index: lemon/bits/map_extender.h
===================================================================
--- lemon/bits/map_extender.h	(revision 2031)
+++ lemon/bits/map_extender.h	(revision 2260)
@@ -25,5 +25,5 @@
 
 #include <lemon/concept_check.h>
-#include <lemon/concept/maps.h>
+#include <lemon/concepts/maps.h>
 
 ///\file
@@ -207,5 +207,5 @@
     template <typename CMap>
     SubMapExtender& operator=(const CMap& cmap) {
-      checkConcept<concept::ReadMap<Key, Value>, CMap>();
+      checkConcept<concepts::ReadMap<Key, Value>, CMap>();
       Item it;
       for (graph.first(it); it != INVALID; graph.next(it)) {
Index: lemon/bits/vector_map.h
===================================================================
--- lemon/bits/vector_map.h	(revision 2202)
+++ lemon/bits/vector_map.h	(revision 2260)
@@ -29,5 +29,5 @@
 
 #include <lemon/concept_check.h>
-#include <lemon/concept/maps.h>
+#include <lemon/concepts/maps.h>
 
 ///\ingroup graphbits
@@ -134,5 +134,5 @@
     template <typename CMap>
     VectorMap& operator=(const CMap& cmap) {
-      checkConcept<concept::ReadMap<Key, _Value>, CMap>();
+      checkConcept<concepts::ReadMap<Key, _Value>, CMap>();
       const typename Parent::Notifier* notifier = Parent::getNotifier();
       Item it;
Index: lemon/color.h
===================================================================
--- lemon/color.h	(revision 2230)
+++ lemon/color.h	(revision 2260)
@@ -101,5 +101,5 @@
 ///number. The integer range is cyclically mapped to the provided set of colors.
 ///
-///This is a true \ref concept::ReferenceMap "reference map", so you can also
+///This is a true \ref concepts::ReferenceMap "reference map", so you can also
 ///change the actual colors.
 
